package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0G0 extends MwfRequest<MWF0G0, MWF0G0Response> {

    @Parameter(name = "LOAN_AMOUNT")
    MWF0G0 loanAmount(Long loanAmount);
    @Parameter(name = "MATURITY")
    MWF0G0 maturity(Long maturity);
    @Parameter(name = "PPI_TYPE")
    MWF0G0 ppiType(String ppiType);
    @Parameter(name = "PRODUCT")
    MWF0G0 product(Long product);
    @Parameter(name = "REALTY_AMOUNT")
    MWF0G0 realtyAmount(Long realtyAmount);
}
